/*
 * Copyright CERN 2013, GNU GPL 2 or later.
 * Author: Alessandro Rubini
 */
#include <stdio.h>
#include "adc-lib.h"

const char * const libadc_version_s = "libadc version: " GIT_VERSION;
const char * const libadc_zio_version_s = "libadc is using zio version: " ZIO_GIT_VERSION;
const char * const libadc_fmcadc100m14b4cha_version_s = "libadc is using fmc-adc-100m14b4cha version: " FMCADC_100MS_4CH_14BIT_GIT_VERSION;

void adc_print_version()
{
	printf("%s\n", libadc_version_s);
	printf("%s\n", libadc_zio_version_s);
	printf("%s\n", libadc_fmcadc100m14b4cha_version_s);
}

/**
 * It initializes the library
 * @return 0 on success, otherwise -1 and errno is set appropriately
 */
int adc_init(void)
{
	return 0;
}


/**
 * It releases the resources holded by the library
 */
void adc_exit(void)
{
	return;
}
